Bug 494119 - (perl-Devel-Hide) Review Request: perl-Devel-Hide - Forces the unavailability of specified Perl modules (for testing)
Review Request: perl-Devel-Hide - Forces the unavailability of specified Perl...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-04 13:05 EDT by Iain Arnell
Modified: 2010-08-24 19:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.0008-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 00:15:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-04 13:05:35 EDT
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Devel-Hide.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Devel-Hide-0.0008-1.fc11.noarch.rpm
Description: 
Given a list of Perl modules/filenames, this module makes require and
use statements fail (no matter the specified files/modules are
installed or not).

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1277284
Comment 1 Chris Weyl 2009-04-06 01:14:22 EDT
The link is to the rpm, not srpm :-)
Comment 2 Chris Weyl 2009-04-06 02:34:53 EDT
However, the koji scratch build has the srpm embedded...  http://koji.fedoraproject.org/koji/getfile?taskID=1277284&name=perl-Devel-Hide-0.0008-1.fc11.src.rpm
Comment 3 Chris Weyl 2009-04-06 02:46:21 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1277284 

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
4232ba0fe6d38c2c981b480c713270c8d5aa2542 Devel-Hide-0.0008.tar.gz
4232ba0fe6d38c2c981b480c713270c8d5aa2542 Devel-Hide-0.0008.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Devel-Hide-0.0008-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Devel-Hide-0.0008-1.fc10.src.rpm
====> requires for perl-Devel-Hide-0.0008-1.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
perl(Test::Pod) >= 1.18
perl(Test::Pod::Coverage) >= 1.04

=====> perl-Devel-Hide-0.0008-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Devel-Hide-0.0008-1.fc10.noarch.rpm
perl(Devel::Hide) = 0.0008
perl-Devel-Hide = 0.0008-1.fc10
====> requires for perl-Devel-Hide-0.0008-1.fc10.noarch.rpm
perl >= 0:5.006001
perl(:MODULE_COMPAT_5.10.0)  
perl(lib)  
perl(strict)  
perl(vars)  
perl(warnings) 

APPROVED
Comment 4 Iain Arnell 2009-04-06 04:46:22 EDT
New Package CVS Request
=======================
Package Name: perl-Devel-Hide
Short Description: Forces the unavailability of specified Perl modules
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-04-06 23:29:15 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-07 00:12:33 EDT
perl-Devel-Hide-0.0008-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Devel-Hide-0.0008-1.fc10
Comment 7 Fedora Update System 2009-04-07 00:12:37 EDT
perl-Devel-Hide-0.0008-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Devel-Hide-0.0008-1.fc9
Comment 8 Fedora Update System 2009-04-13 15:35:49 EDT
perl-Devel-Hide-0.0008-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-13 15:38:50 EDT
perl-Devel-Hide-0.0008-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Iain Arnell 2010-08-24 07:42:08 EDT
Package Change Request
======================
Package Name: perl-Devel-Hide
New Branches: el6
Owners: iarnell
Comment 11 Kevin Fenzi 2010-08-24 19:47:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.